QHideEvent(3qt)

NAME
QHideEvent - Event which is sent after a widget is hidden

SYNOPSIS
#include <qevent.h>

Inherits QEvent.

  Public Members
QHideEvent ()

DESCRIPTION
The QHideEvent class provides an event which is sent after a widget is hidden.

This event is sent just before QWidget::hide() returns, and also when a top-level window has been hidden (iconified) by the user.

If spontaneous() is TRUE the event originated outside the application, i.e. the user hid the window using the window manager controls, either by iconifying the window or by switching to another virtual desktop where the window isn't visible. The window will become hidden but not withdrawn. If the window was iconified, QWidget::isMinimized() returns TRUE.

See also QShowEvent and Event Classes.

MEMBER FUNCTION DOCUMENTATION

QHideEvent::QHideEvent ()
Constructs a QHideEvent.

SEE ALSO
http://doc.trolltech.com/qhideevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhideevent.3qt) and the Qt version (3.1.0-b2).